# FileDownloadOperationDescriptor

interface FileDownloadOperationDescriptor : OperationDescriptor

Describes the details of a file that is downloaded.

#### Since

7.3

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getParent
Link copied to clipboard
abstract fun getParent(): @Nullable OperationDescriptor
getUri
Link copied to clipboard
abstract fun getUri(): URI
Returns the URI that the file is downloaded from.